package com.caimei.www.service.page;

import com.caimei.www.pojo.page.ImageLink;
import com.caimei.www.pojo.JsonModel;
import com.caimei.www.pojo.page.PageFloor;
import com.caimei.www.pojo.page.ProductList;

import java.util.List;
import java.util.Map;

/**
 * 首页服务
 *
 * @author : Charles
 * @date : 2020/6/22
 */
public interface HomeService {
    /**
     * 首页轮播图
     */
    JsonModel<List<ImageLink>> getHomeBanners();
    /**
     * 首页推荐专区
     */
    JsonModel<List<ProductList>> getRecommendProducts();
    /**
     * 首页楼层专题数据
     */
    JsonModel<List<PageFloor>> getHomePageFloorData();
    /**
     * 首页左侧广告图
     */
    JsonModel<List<ImageLink>> getAdvertising();

}
